---
title: "Get Request status"
slug: "get-request-status-v2crmrequest-status"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Request Status (/v2/crm/request-status)

Get/v2/crm/request-status<style>.public-api-info {    background: rgb(222, 235, 255);}.public-api-tip {    background: rgb(227, 252, 239);}.public-api-parameter {    background: rgba(9,30,66,0.08);}.public-api-note {    background: rgb(234, 230, 255);}.public-api-important {    background: rgb(255, 250, 230);}.public-api-critical {    background: rgb(255, 235, 230);}table, th, td {  border: 1px solid gray;  border-collapse: collapse;}th, td {  padding: 5px;}th {  text-align: left;}img {  border: 2px solid #D3D5D9;}</style>

Returns the current status of the request for endpoints run asynchronously:

- POST /v2/crm/entities
- DELETE /v2/crm/integrations

When accessed using a bearer token, this endpoint requires the 'api:crm:upload' scope.

### Status Codes

- PENDING: file is pending being processed
- IN_PROGRESS: file is being processed
- DONE: all objects in the file were successfully processed
- FAILED: failed to parse some objects, or a general error occurred when the file was being processed

### Correcting a file that failed to be processed:

When the status in the response is FAILED do one of the following:

- If the response includes a list of errors, correct the errors in the file as follows:
  1. Using the `errors.line` attribute, locate and correct the data in the JSON file.
  2. You can resend the entire LDJSON file, or only the corrected records via the relevant API.   
Note: The response returns a maximum of 20 errors. To make sure you have corrected all errors, upload the entire file repeatedly until you receive a DONE status.
- A single error in the form of:   
{"line":0,"description":"....."} indicates a general processing error:
  1. Fix the LDJSON file according to the error message.
  2. Upload the entire LDJSON file again.

Query parametersintegrationIdinteger (int64) Required

Integration ID generated when creating the integration

clientRequestIdstringRequired

The client request ID used in the asynchronous endpoint you want to get a status for

Responses200

Operation successful

<select class='api-response-data' aria-label='Media type'><option value='eb7e03ee-8975-43ff-be32-7e4a565990e8'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
statusstring    

Request status

Valid values[
  "PENDING",
  "IN_PROGRESS",
  "DONE",
  "FAILED"
]ExampleFAILED
errors Array of object (LineErrorResponse)   object  lineinteger  (int32)    

Line number of failed object

Example49
descriptionstring    

Error description

ExampleMandatory field [objectId] is missing or empty

totalErrorCountinteger  (int32)    

Number of objects that failed parsing

Example3
totalSuccessCountinteger  (int32)    

Number of valid objects

Example97

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='743eb546-5827-4292-abe8-347a466c9a43'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='77d44e39-2175-4e61-ac27-cf5f8d6fd613'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='7af56906-b102-426c-ac03-ebcd79c1a2f9'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='3aea270a-14fd-4c3b-a2bd-e4b539d11c42'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
